/*
This is an example of the amazing things you can do with ESRA. By simply 
hooking into it's ViewController, you are introduced to the endless
possibilities for developing a useful (or useless) command. I'd like to see
what you (developers) are capable of making with ESRA's powerful (but shitty)
API.

This is an example of the various things you are able to do with ESRA, and
provides a basic understanding of it's API. 

You are not limited to what you can do with this, anything goes here. I am 
simply providing a starting point and example. 

Copyright © 2012 Fr0st Development. All Rights Reserved.

By: Guillermo Moran (fr0st)
*/

#import "ViewController.h"
 
%hook ViewController

//Adding a custom command to ESRA

-(void)checkUserCommandsWithString:(NSString*)recievedString {

    //Here I demonstrate a basic command. Simple response. 
    
	if ([recievedString isEqualToString:@"this is sparta"]) { //Check for sparta
    
        
    
		[self addMessage:recievedString]; //Add your message to the table
        
        [self speak:@"No, this is an iPhone"]; //Have ESRA Speak your reply
        
		return; //DO NOT FORGET THIS.
    }
        
    
    /* 
    Okay, now let's say you want to tweet something. It's simple by using 
    ESRA's sendTweet function, like so" (Of course, ESRA already has this 
    feature, so this is basically useless)
    */
        
        
    if ([recievedString isEqualToString:@"tweet hello"]) {
    
        NSString* helloTweet = @"Hello World"; //Message you will send
        
		[self addMessage:recievedString]; //Add the message to the table
        
        [self sendTweet:helloTweet]; //Tweet the message
        
        return; //Again, don't forget this!
    }
        
    /*
    Want to send an SMS? It's also simple! Simply call ESRA's amazing sendSMS
    function! Example shown below...
    */
        
    if ([recievedString isEqualToString:@"text john"]) {
    
        NSString* smsNumber = @"1234567890"; //Number the text will be sent
        
		[self addMessage:recievedString]; //Add the message to the table
        
        [self sendSMS:smsNumber]; //Open the SMS Editor
        
		return; //Again, don't forget this!
    }
        
        
    /* 
    Now let's try and call a number! Again, ESRA's callNumber method is
    quite, quite useful :P Example here:
    */
    
    if ([recievedString isEqualToString:@"call john"]) {
    
        NSString* phoneNumber = @"1234567890"; //Number to call
        
		[self addMessage:recievedString]; //Add the message to the table
        
        [self callNumber:phoneNumber]; //Call the specified number
        
		return; //Again, don't forget this!
    }
     
     /* 
    Oh. Did I mention snippet views? That works too :)
    */
        
    if ([recievedString isEqualToString:@"show something"]) {
    
        UIView* someRandomView = [[UIView alloc] initWithFrame:1,1,1,1]; 
        [self addView:someRandomView message:nil];
        
        //Don't release the view you created. This is done automatically for you.
        
    }
	
    %orig; //We cannot forget to call the original function.
    
}

%end